Package: cyphesis-cpp
Version: 0.5.20-2
Severity: wishlist

Currently Python 2.5 is the most recent version that configure will look for.
The attached patch adds support for Python 2.6.  This will also need a build
depend on automake1.10.

Wishlist since Pyhton 2.6 isn't in Unstable yet.

-- System Information:
Debian Release: 5.0
  APT prefers jaunty-updates
  APT policy: (500, 'jaunty-updates'), (500, 'jaunty-security'), (500, 
'jaunty-backports'), (500, 'jaunty')
Architecture: i386 (i686)

Kernel: Linux 2.6.28-15-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
diff -Nur -x '*.orig' -x '*~' cyphesis-cpp-0.5.20/configure cyphesis-cpp-0.5.20.new/configure
--- cyphesis-cpp-0.5.20/configure	2009-05-11 08:24:00.000000000 -0400
+++ cyphesis-cpp-0.5.20.new/configure	2009-09-08 05:42:22.000000000 -0400
@@ -6196,7 +6196,144 @@
 
 
 
-if test "${ac_cv_header_python2_5_Python_h+set}" = set; then
+if test "${ac_cv_header_python2_6_Python_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for python2.6/Python.h" >&5
+echo $ECHO_N "checking for python2.6/Python.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_python2_6_Python_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_python2_6_Python_h" >&5
+echo "${ECHO_T}$ac_cv_header_python2_6_Python_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking python2.6/Python.h usability" >&5
+echo $ECHO_N "checking python2.6/Python.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <python2.6/Python.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+     test -z "$ac_cxx_werror_flag" ||
+     test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+    ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking python2.6/Python.h presence" >&5
+echo $ECHO_N "checking python2.6/Python.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <python2.6/Python.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+     test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+     test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: python2.6/Python.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: python2.6/Python.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: python2.6/Python.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: python2.6/Python.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: python2.6/Python.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: python2.6/Python.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: python2.6/Python.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: python2.6/Python.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: python2.6/Python.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: python2.6/Python.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: python2.6/Python.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: python2.6/Python.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: python2.6/Python.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: python2.6/Python.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: python2.6/Python.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: python2.6/Python.h: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## --------------------------------------- ##
+## Report this to alridd...@googlemail.com ##
+## --------------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for python2.6/Python.h" >&5
+echo $ECHO_N "checking for python2.6/Python.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_python2_6_Python_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_python2_6_Python_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_python2_6_Python_h" >&5
+echo "${ECHO_T}$ac_cv_header_python2_6_Python_h" >&6; }
+
+fi
+if test $ac_cv_header_python2_6_Python_h = yes; then
+
+    python_include_path=-I${python_prefix}/include/python2.6
+    python_version=2.6
+
+else
+
+    if test "${ac_cv_header_python2_5_Python_h+set}" = set; then
   { echo "$as_me:$LINENO: checking for python2.5/Python.h" >&5
 echo $ECHO_N "checking for python2.5/Python.h... $ECHO_C" >&6; }
 if test "${ac_cv_header_python2_5_Python_h+set}" = set; then
@@ -6772,6 +6909,9 @@
 
 
 
+fi
+
+
 PYTHON_VERSION=${python_version}
 PYTHON_INCLUDES=${python_include_path}
 CPPFLAGS="$CPPFLAGS $PYTHON_INCLUDES"
diff -Nur -x '*.orig' -x '*~' cyphesis-cpp-0.5.20/configure.ac cyphesis-cpp-0.5.20.new/configure.ac
--- cyphesis-cpp-0.5.20/configure.ac	2009-05-11 08:23:20.000000000 -0400
+++ cyphesis-cpp-0.5.20.new/configure.ac	2009-09-08 05:43:33.000000000 -0400
@@ -161,31 +161,37 @@
 dnl if found define HAVE_PYTHON_H
 dnl
 
-AC_CHECK_HEADER(python2.5/Python.h,
+AC_CHECK_HEADER(python2.6/Python.h,
 [
-    python_include_path=-I${python_prefix}/include/python2.5
-    python_version=2.5
+    python_include_path=-I${python_prefix}/include/python2.6
+    python_version=2.6
 ],[
-    AC_CHECK_HEADER(python2.4/Python.h,
+    AC_CHECK_HEADER(python2.5/Python.h,
     [
-        python_include_path=-I${python_prefix}/include/python2.4
-        python_version=2.4
+        python_include_path=-I${python_prefix}/include/python2.5
+        python_version=2.5
     ],[
-        AC_CHECK_HEADER(python2.3/Python.h,
+        AC_CHECK_HEADER(python2.4/Python.h,
         [
-            python_include_path=-I${python_prefix}/include/python2.3
-            python_version=2.3
+            python_include_path=-I${python_prefix}/include/python2.4
+            python_version=2.4
         ],[
-            AC_CHECK_HEADER(python2.2/Python.h,
+            AC_CHECK_HEADER(python2.3/Python.h,
             [
-                python_include_path=-I${python_prefix}/include/python2.2
-                python_version=2.2
+                python_include_path=-I${python_prefix}/include/python2.3
+                python_version=2.3
             ],[
-                AC_MSG_ERROR([
+                AC_CHECK_HEADER(python2.2/Python.h,
+                [
+                    python_include_path=-I${python_prefix}/include/python2.2
+                    python_version=2.2
+                ],[
+                    AC_MSG_ERROR([
 Cannot find python headers for Python 2.2 or later.
 Please see http://www.python.org/ for details of how to download and install
 Python. If Python is installed somewhere other than in /usr the please use the
 --with-python=DIR option to point to the prefix where Python is installed.])
+                ])
             ])
         ])
     ])

Reply via email to